Debian Bug report logs - #605722
mdadm: checkarray from cron is reporting auto-read-only devices

version graph

Package: mdadm; Maintainer for mdadm is Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>; Source for mdadm is src:mdadm.

Reported by: Bernd Hanisch <BerndHanisch@gmx.de>

Date: Thu, 2 Dec 2010 18:24:02 UTC

Severity: normal

Tags: patch

Found in version mdadm/3.1.4-1+8efb9d1

Fixed in version mdadm/3.2.2-1

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#605722; Package mdadm. (Thu, 02 Dec 2010 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Hanisch <BerndHanisch@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Thu, 02 Dec 2010 18:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernd Hanisch <BerndHanisch@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mdadm: checkarray from cron is reporting auto-read-only devices
Date: Thu, 02 Dec 2010 19:17:18 +0100
[Message part 1 (text/plain, inline)]
Package: mdadm
Version: 3.1.4-1+8efb9d1
Severity: normal
Tags: patch


the cron job checkarray is reporting "checkarray: W: array md0 in auto-read-only state, skipping..." if a md device is in auto-read-only mode.
In bug report 510641 a patch was offered with using "[ $quiet -lt 1 ] && ..."echo ". this code is gone in the actual release.

i want offer a patch for this issue.

-- Package-specific info:
--- mdadm.conf
DEVICES /dev/[hs]d*
ARRAY /dev/md0 level=raid1 num-devices=2 metadata=0.90 UUID=d9d7ea41:76b9a2bc:776c2c25:004bd7b2
MAILADDR root

--- /etc/default/mdadm
INITRDSTART='all'
AUTOSTART=true
AUTOCHECK=true
START_DAEMON=true
DAEMON_OPTIONS="--syslog"
VERBOSE=false

--- /proc/mdstat:
Personalities : [raid0] [raid1] [raid6] [raid5] [raid4] [raid10] 

md0 : active (auto-read-only) raid1 sda1[0] sdb1[1]
      2102464 blocks [2/2] [UU]
      
unused devices: <none>



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mdadm depends on:
ii  debconf                       1.5.36     Debian configuration management sy
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  lsb-base                      3.2-23.1   Linux Standard Base 3.2 init scrip
ii  makedev                       2.3.1-89   creates device files in /dev
ii  udev                          164-2      /dev/ and hotplug management daemo

Versions of packages mdadm recommends:
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo
ii  postfix [mail-transport-agent 2.7.1-1    High-performance mail transport ag

mdadm suggests no packages.

-- debconf information:
  mdadm/autostart: true
  mdadm/mail_to: root
  mdadm/initrdstart_msg_errmd:
* mdadm/initrdstart: all
  mdadm/initrdstart_msg_errconf:
  mdadm/initrdstart_notinconf: false
  mdadm/initrdstart_msg_errexist:
  mdadm/initrdstart_msg_intro:
  mdadm/autocheck: true
  mdadm/initrdstart_msg_errblock:
  mdadm/start_daemon: true
[checkarray-skip-autoreadonly-3.1.4-1.diff (text/plain, attachment)]

Added tag(s) pending. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sat, 10 Sep 2011 11:24:33 GMT) Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Thu, 15 Sep 2011 07:21:18 GMT) Full text and rfc822 format available.

Notification sent to Bernd Hanisch <BerndHanisch@gmx.de>:
Bug acknowledged by developer. (Thu, 15 Sep 2011 07:21:18 GMT) Full text and rfc822 format available.

Message #12 received at 605722-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 605722-close@bugs.debian.org
Subject: Bug#605722: fixed in mdadm 3.2.2-1
Date: Thu, 15 Sep 2011 07:17:21 +0000
Source: mdadm
Source-Version: 3.2.2-1

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_3.2.2-1_amd64.udeb
  to main/m/mdadm/mdadm-udeb_3.2.2-1_amd64.udeb
mdadm_3.2.2-1.debian.tar.bz2
  to main/m/mdadm/mdadm_3.2.2-1.debian.tar.bz2
mdadm_3.2.2-1.dsc
  to main/m/mdadm/mdadm_3.2.2-1.dsc
mdadm_3.2.2-1_amd64.deb
  to main/m/mdadm/mdadm_3.2.2-1_amd64.deb
mdadm_3.2.2.orig.tar.bz2
  to main/m/mdadm/mdadm_3.2.2.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605722@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 01 Aug 2011 10:41:41 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source amd64
Version: 3.2.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 595516 598957 604702 605722 610421 611627 611632 615494 618463 618561 621346 625392 628371 633054
Changes: 
 mdadm (3.2.2-1) unstable; urgency=low
 .
   [ martin f. krafft ]
   * New upstream version (closes: #615494), which addresses:
     - --grow option aware of size change of underlying device (closes: #618463)
     - builds with -Werror on gcc-4.6 (closes: #625392).
     - new features/functionality:
       + Policy framework.
       + Improved management of reshaping arrays.
       + Support for Intel Matrix Storage Manager (IMSM)
     Thanks to Scott Schaefer for his help in preparing this release!
   * Do not print io rescheduling info message when run by cron
     (closes: #598957).
   * Fix checkarray script so that it does not die after scheduling the first
     device when there is no scheduling class specified; thanks to Mario
     'BitKoenig' Holbe (closes: #611627).
   * Do not include DEVICE line in generated configs but use the built-in value
     by default (closes: #604702).
   * Make mdadm-raid init script depend on hostname; thanks to Mario
    'BitKoenig' Holbe (closes: #610421).
   * Schedule start/stop of mdadm-raid before/after filesystems are
     checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
     (closes: #611632).
   * Work around a shell coding bug for cases when there are zero active
     devices (closes: #618561).
   * Add NEWS entry about metadata change and requirement on new Grub version
     (closes: #595516).
   * Update mdadd.sh script from Arno's webpage.
   * Update md.txt from latest kernel source.
   * Updated debconf translations:
     - Catalan by Innocent De Marchi (closes: #628371)
     - Danish by Joe Dalton (closes: #621346)
   * Small typo fix in RAID5_versus_RAID10.txt
   * Bump Standards-Version to 3.9.2; no changes required.
 .
   [ Michael Tokarev ]
   * don't print W: auto-read-only in checkarray in quiet mode,
     thanks to Bernd Hanisch for the patch (Closes: #605722)
   * move initscript metadata from /lib/init/rw/.mdadm to /run/mdadm,
     and depend on initscripts (>= 2.88dsf-13.3) for /run (Closes: #633054)
   * move runtime stuff from /dev/.mdadm to /run/mdadm
   * document defaults change in debian/NEWS (it was forgotten to be
     done for squeeze) - metadata & chunk size (Closes: #595516)
Checksums-Sha1: 
 943859c83323631f3b6342e32720b41666322b9b 2190 mdadm_3.2.2-1.dsc
 8ec366a7e7f3ae3a8765d8f43f1d62234a80c698 357234 mdadm_3.2.2.orig.tar.bz2
 5ceadc639033fa656a7292374e4a294d0f1fcf5f 123535 mdadm_3.2.2-1.debian.tar.bz2
 4844110b4da321cc9c2b325537706cf03d77d0b6 536758 mdadm_3.2.2-1_amd64.deb
 47ac5f8c3b3cece7bc5ed20ddce16a9c70ec7aba 180836 mdadm-udeb_3.2.2-1_amd64.udeb
Checksums-Sha256: 
 b3aa33e3f3938aba2cc5056663175c8daa0732091d9a8875abe1debff60b17d4 2190 mdadm_3.2.2-1.dsc
 0d1a04e688b082bc88846e3f524abd50bc782b6ffc06123140f7d358c8f9b906 357234 mdadm_3.2.2.orig.tar.bz2
 9d94d66d79cda1deaaa8e5e68cb203327a5c69b629c9773004b9fb9d618e203e 123535 mdadm_3.2.2-1.debian.tar.bz2
 c23d8f0a7140fbae3a9ffd3dd4a563c21bffe0ec408e1f4f4ae5644413ceda71 536758 mdadm_3.2.2-1_amd64.deb
 0b2a3e56dbff6f4e192b69037ba304418f2813c6ab8dc9315219b9692d2e25dd 180836 mdadm-udeb_3.2.2-1_amd64.udeb
Files: 
 196025705dae8c288d569cb53241f1b9 2190 admin optional mdadm_3.2.2-1.dsc
 12ee2fbf3beddb60601fb7a4c4905651 357234 admin optional mdadm_3.2.2.orig.tar.bz2
 e8f0a9a45f116508eda17ad171514307 123535 admin optional mdadm_3.2.2-1.debian.tar.bz2
 5e48a3f95039af09a4957cdbcdc40090 536758 admin optional mdadm_3.2.2-1_amd64.deb
 eb26e081e822e69e64dd28cf063d0ce3 180836 debian-installer optional mdadm-udeb_3.2.2-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQLvBAEBCgDZBQJOcaKXwBEaaHR0cDovL21hcnRpbi1rcmFmZnQubmV0L2dwZy9z
aWctcG9saWN5LzU1Yzk4ODJkOTk5YmJjYzQvMjAxMTAxMjQxMTI1P3NoYTUxMnN1
bT0xY2FkOTZmZDI3ZDMyMzNmNTNlMjI4NDk1MzM2NDgxMDdlNWVlOGQ1YmU2NTUy
NTFkNzRjOGYxYzVjM2JjNDJmMjMwNGZhNTE1MTUwZjdiZDRkZDA1ZTk4MTk5MjRm
MDQ5NTEzZWU5OTYyY2E3MTcwOWY4MWQ5NDUxNTg1MmJkOAAKCRBVyYgtmZu8xIlD
EACjaBhiT38IYF2rKx8GadkV8hjp5cFdUNSmMV9Mhoy3BefJuTs1YkQH8yYDazA6
XLkBxo1/34vZxyJr7a9+V0JqdDAnDHpUojg10a1T3LMFf5oV/+5HX173HadeWnFT
ZXSmhocb67uDDmq502XSOZYq9JE7RXis2Maf3Ln+gBGdnnWYke3wjr1WIWhMGALW
laPI6AQbMRpd+hdPv1jKvSmgNSPFwJq7OJudOKD+iN78536tP3hLJSbl4Mun8lsH
kjvOe+RcbemfHWLCGnIXbF6xrbnUgz7yiWwAjwZ9Yv/VkGw0sVjETzuGF875sY1P
qXFaxFhSTSglNCBHU6I4XCS0sgD9GuDRmqNPRiuqOouDGbofV9nbYwMt0JVQTyL8
rYQLlsz48dj/rMwQau67x8II89obThGa1vHQvO8XemMmmJhEWJaJZ8x4cmZ+1e/O
6AvUmfT6MiuHZ1phZhRy6gMpPjy0xkrSHeuIyllzz+E9pF4/OBOlrbmRHk0VJOo1
RzTACaD5ZL4OU1LE4QgBwt0ebc0uSiLM05UaEq7NL+UBPcZRqyq5CVyN7DNpBAY7
C4wYCc0Kti6B38SDbCNhmgYQMkQFlmph/t3aOrhLrSLPsQP0pH/349zvoBhganGM
mqXn6HECgy6EysT8wRQyB4C7eNfSB2fQTdAgmExILYf0qg==
=AsIz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Oct 2011 07:36:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:26:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.